Subject: bug#55716: 29.0.50; latex-mode overrides my `comment-style` choice

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 31 May 2022 20:27:50 +0200

Stefan Monnier <[email-masked]> writes:

> Before your patch, this didn't comment out anything since it skipped
> empty lines, thus the problem didn't exist.

Yes, that's the problem I was trying to fix.

>> But that's probably a bug in the `indent' version instead,
>> because `indent' should work in general.
>
> Yes, it's a new problem introduced by the new functionality of
> commenting out empty lines (and it probably affects more than just the
> `indent` style, since most styles (other than `plain`) try to indent the
> comment, IIRC).

Yup.  I've now reverted the change, and is reopening the bug report.  I
guess it has to be fixed in the various indenting styles instead.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no